Subject: bug#25022: 25.1.50; Different highlighting for different citation level in message-mode

From: Hong Xu <[email-masked]>
Date: Tue, 06 Dec 2016 11:57:27 -0800

On 2016-12-06 Tue 07:51 GMT-0800, Lars Ingebrigtsen <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
>> If you change the condition to be true for any mode derived from
>> message-mode, then all of them will inherit this feature.  Are we sure
>> those other modes all want that?  For example, gnus-art.el defines one
>> such mode; up until now, that mode didn't use this feature, maybe that
>> was for a good reason?
>
> No, I don't think that was on purpose.  I probably just didn't know
> about derived-mode-p at the time...

I've already proposed the one-line change in #25124. You can commit
directly since this is just one line...

I saw a comment "FIXME: use derived-mode-p" but I'm not sure why it
wasn't changed directly on the code itself.